#!/bin/bash

case "$1" in
  fs_errors)
    /bin/dmesg | /usr/bin/awk \
      'BEGIN {s=0}
      /Remounting file system read-only/ {s=1;exit}
      END {print s}'
    ;;

  md_errors)
    /bin/dmesg | /usr/bin/awk \
      'BEGIN {s=0}
      /Disk failure on/ {s=1;exit}
      END {print s}'
    ;;

  hw_errors)
    /bin/dmesg | /usr/bin/awk \
      'BEGIN {s=0}
      /I\/O error on dev loop/&&!/dev loop/||/hard resetting link/ {s=1;exit}
      END {print s}'
    ;;

esac
